ServerRequestInfo (Java Platform SE 8 )
Keywords: org.omg.PortableInterceptor.ServerRequestInfo interface
Date: 2017-01-22

org.omg.PortableInterceptor

## Interface ServerRequestInfo

- All Superinterfaces:
    IDLEntity, Object, RequestInfo, RequestInfoOperations, Serializable, ServerRequestInfoOperations

      public interface ServerRequestInfo
      extends ServerRequestInfoOperations, RequestInfo, IDLEntity

  Request Information, accessible to server-side request interceptors.

  Some attributes and operations on `ServerRequestInfo` are not valid at all interception points. The following table shows the validity of each attribute or operation. If it is not valid, attempting to access it will result in a `BAD_INV_ORDER` being thrown with a standard minor code of 14.

  | receive_request_ service_contexts | receive_request | send_reply | send_exception | send_other
  --- | --- | --- | --- | --- | ---
  Inherited from RequestInfo:
  request_id | yes | yes | yes | yes | yes
  operation | yes | yes | yes | yes | yes
  arguments | no | yes1 | yes | no2 | no2
  exceptions | no | yes | yes | yes | yes
  contexts | no | yes | yes | yes | yes
  operation_context | no | yes | yes | no | no
  result | no | no | yes | no | no
  response_expected | yes | yes | yes | yes | yes
  sync_scope | yes | yes | yes | yes | yes
  request_id | yes | yes | yes | yes | yes
  operation | yes | yes | yes | yes | yes
  arguments | no | yes1 | yes | no2 | no2
  exceptions | no | yes | yes | yes | yes
  contexts | no | yes | yes | yes | yes
  operation_context | no | yes | yes | no | no
  result | no | no | yes | no | no
  response_expected | yes | yes | yes | yes | yes
  sync_scope | yes | yes | yes | yes | yes
  reply_status | no | no | yes | yes | yes
  forward_reference | no | no | no | no | yes2
  get_slot | yes | yes | yes | yes | yes
  get_request_service_context | yes | no | yes | yes | yes
  get_reply_service_context | no | no | yes | yes | yes
  ServerRequestInfo-specific:
  sending_exception | no | no | no | yes | no
  object_id | no | yes | yes | yes3 | yes3
  adapter_id | no | yes | yes | yes3 | yes3
  server_id | no | yes | yes | yes | yes
  orb_id | no | yes | yes | yes | yes
  adapter_name | no | yes | yes | yes | yes
  target_most_derived_interface | no | yes | no4 | no4 | no4
  get_server_policy | yes | yes | yes | yes | yes
  set_slot | yes | yes | yes | yes | yes
  target_is_a | no | yes | no4 | no4 | no4
  add_reply_service_context | yes | yes | yes | yes | yes

  1. When `ServerRequestInfo` is passed to `receive_request`, there is an entry in the list for every argument, whether in, inout, or out. But only the in and inout arguments will be available.
  2. If the `reply_status` attribute is not `LOCATION_FORWARD`, accessing this attribute will throw `BAD_INV_ORDER` with a standard minor code of 14.
  3. If the servant locator caused a location forward, or thrown an exception, this attribute/operation may not be available in this interception point. `NO_RESOURCES` with a standard minor code of 1 will be thrown if it is not available.
  4. The operation is not available in this interception point because the necessary information requires access to the target object's servant, which may no longer be available to the ORB. For example, if the object's adapter is a POA that uses a `ServantLocator`, then the ORB invokes the interception point after it calls `ServantLocator.postinvoke()`
  .
  See Also:
    `ServerRequestInterceptor`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.ServerRequestInfoOperations

      `adapter_id, adapter_name, add_reply_service_context, get_server_policy, object_id, orb_id, sending_exception, server_id, set_slot, target_is_a, target_most_derived_interface`

    - ### Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations

      `arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.